Method: projects.locations.instances.keyRings.list

Lists KeyRings in an instance.

HTTP request

GET https://mpc.googleapis.com/v1beta/{parent=projects/*/locations/*/instances/*}/keyRings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent instance. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form projects/{project}/locations/{location}/instances/{instance}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of KeyRings to return. The service may return fewer. If unspecified, at most 50 are returned. Values above 1000 are coerced to 1000.

pageToken

string

Optional. A page token from a previous keyRings.list call. When paginating, all other parameters must match the call that returned the token.

Request body

The request body must be empty.

Response body

Response message for KeyRingService.ListKeyRings.

If successful, the response body contains data with the following structure:

JSON representation
{
  "keyRings": [
    {
      object (KeyRing)
    }
  ],
  "nextPageToken": string
}
Fields
keyRings[]

object (KeyRing)

The KeyRings in the instance.

nextPageToken

string

A token to retrieve the next page. Empty if there are no more pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.